<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>do it! hydrograph</title>
    <style>
      body {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
        margin: 0;
        overflow: hidden;
        font-family: Arial, sans-serif;
      }

      .controls {
        margin-right: 20px;
        flex-shrink: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
      }

      .controls h1 {
        margin-bottom: 10px;
      }

      .controls p {
        text-align: center;
      }

      .controls button {
        padding: 10px 20px;
        font-size: 16px;
        cursor: pointer;
        outline: none;
        border: 2px solid #33455e;
        background-color: #33455e;
        transition: background-color 0.3s;
        border-radius: 3.4rem;
        color: #f1f1f1;
        font-weight: 600;
      }

      .controls button:hover {
        background-color: #ff6e48;
        color: #33455e;
      }

      .controls button:active {
        transform: scale(0.95);
        box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.5);
      }

      .horizontal-line {
        border: none;
        border-top: 1px solid #33455e;
        width: 90%;
        margin: 20px 0;
      }

      .input-container {
        display: flex;
        flex-direction: column;
        gap: 10px;
        align-items: center;
      }

      input {
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
      }

      input[type="text"] {
        width: 300px;
        border: 2px solid #33455e;
        transition: border-color 0.2s;
      }

      input[type="text"]:focus {
        outline: none;
        border-width: 2px;
        border-color: #ff6e48;
      }

      .canvas-container {
        position: relative;
        border: 4px solid #000;
      }

      canvas {
        cursor: crosshair;
        display: block;
        background: transparent;
      }

      .magnifier {
        position: absolute;
        border: 2px solid #000;
        border-radius: 50%;
        width: 150px;
        height: 150px;
        overflow: hidden;
        pointer-events: none;
        z-index: 10;
        display: none;
      }

      .marker {
        width: 12px;
        height: 12px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        border-radius: 50%;
      }

      .marker_color1 {
        background-color: #ff6e48;
      }

      .marker_color2 {
        background-color: #008500;
      }

      .toggle-container {
        display: flex;
        align-items: center; /* vertically align items */
        justify-content: center;
        vertical-align: middle;
        /* width: 160px; */
      }

      .toggle {
        position: relative;
        display: inline-block;
        width: 3rem;
        height: 1.7rem;
      }

      .toggle input {
        display: none;
      }

      .toggle_label {
        display: inline-block;
        color: #33455e;
        font-weight: 700;
        line-height: 1.7rem; /* Match the height of the toggle for vertical alignment */
        width: 120px;
      }

      .toggle_label_wide {
        display: inline-block;
        color: #33455e;
        font-weight: 700;
        text-align: center; /* Center align the text */
        line-height: 1.7rem; /* Match the height of the toggle for vertical alignment */
        width: 200px;
      }

      .roundbutton {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        width: 100%;
        background-color: #33455e;
        display: block;
        transition: all 0.3s;
        border-radius: 3.4rem;
        cursor: pointer;
      }

      .roundbutton:before {
        position: absolute;
        content: "";
        height: 1.2rem;
        width: 1.25rem;
        border-radius: 100%;
        display: block;
        left: 0.25rem;
        bottom: 0.25rem;
        background-color: white;
        transition: all 0.3s;
      }

      input:checked + .roundbutton {
        background-color: #ff6e48;
      }

      input:checked + .roundbutton:before {
        transform: translate(1.2rem, 0);
      }

      ul {
        margin-top: 0px;
        margin-bottom: 0px;
      }

      .toggle-group {
        display: flex;
        justify-content: space-evenly;
        width: 90%;
      }

      .spacer {
        margin-top: 10px;
      }
    </style>
  </head>
  <body>
    <div class="controls">
      <h1>do it! hydrograph</h1>
      <ul>
        <li>Start and stop the drawing with the buttons</li>
        <li>To actually draw click once and click again to stop drawing</li>
        <li>Change the mode to erase misdrawn parts</li>
      </ul>

      <button id="startRecording" class="spacer">Start drawing</button>

      <div class="toggle-group">
        <div class="toggle-container">
          <label class="toggle">
            <input id="toggleAddErase" type="checkbox" />
            <span class="roundbutton"></span>
          </label>
          <p class="toggle_label" id="toggleAddErase_text">Draw Mode</p>
        </div>
        <div class="toggle-container">
          <label class="toggle">
            <input id="zoomAligned" type="checkbox" />
            <span class="roundbutton"></span>
          </label>
          <p class="toggle_label" id="zoomAligned_text">Zoom offset</p>
        </div>
      </div>

      <button id="stopRecording">Stop drawing</button>
      <hr class="horizontal-line" />
      <ul>
        <li>Move the 4 lines to a well readable value</li>
        <li>Type in the values so we know the scale of this data</li>
      </ul>

      <div class="toggle-container">
        <label class="toggle">
          <input id="toggleLineMove" type="checkbox" />
          <span class="roundbutton"></span>
        </label>
        <p class="toggle_label_wide" id="toggleLineMove_text">
          Make lines moveable
        </p>
      </div>

      <div class="input-container">
        <input type="text" id="y_up" placeholder="upper y-axis limit" />
        <input type="text" id="y_low" placeholder="lower y-axis limit" />
        <input type="text" id="x_le" placeholder="left x-axis limit" />
        <input type="text" id="x_re" placeholder="right x-axis limit" />
      </div>
      <hr class="horizontal-line" />
      <button id="submitData">Submit data</button>
    </div>
    <div class="canvas-container">
      <canvas id="gridCanvas"></canvas>
      <div class="magnifier">
        <div class="marker marker_color1" id="magnifier_marker"></div>
        <canvas id="magnifierCanvas"></canvas>
      </div>
    </div>
    <script src="script.js"></script>
  </body>
</html>
